com.google.common.util.concurrent

## Class Callables

- java.lang.Object
- - com.google.common.util.concurrent.Callables

-     @GwtCompatible(emulated=true)
      public final class Callables
      extends java.lang.Object

  Static utility methods pertaining to the `Callable` interface.
  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> java.util.concurrent.Callable<T>` | `returning(T value)` Creates a `Callable` which immediately returns a preset value each time it is called.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### returning

          public static <T> java.util.concurrent.Callable<T> returning(@Nullable
                                                       T value)

      Creates a `Callable` which immediately returns a preset value each time it is called.